Get an inference endpoint

Auth

Path parameters

task_type enum optional

The task type of the endpoint to return

Leave it out to use /_inference.

Values: sparse_embedding text_embedding rerank completion chat_completion
inference_id string optional

The inference Id of the endpoint to return. Using _all or * will return all endpoints with the specified task_type if one is specified, or all endpoints for all task types if no task_type is specified

Leave it out to use /_inference.

Response

application/json
endpoints object[] required
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: sparse_embedding text_embedding rerank completion chat_completion